package com.yihu.figure.model.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.figure.model.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 健康指标
 * @author ysj
 *
 */
@Entity
@Table(name = "wlyy_health_index_statistics")
public class HealthIndexStatistics extends IdEntity {

	// 患者标志
	private String user;
	// (血糖/血压)偏高(心率不齐)
	private Integer high;
	// (血糖/血压)正常（心率齐）
	private Integer normal;
	// (血糖/血压)偏低
	private Integer low;
	// 健康指标类型（1血糖，2血压）
	private Integer type;
	//测试类型（1空腹血糖 2早餐后血糖 3午餐前血糖 4午餐后血糖 5晚餐前血糖 6晚餐后血糖 7睡前血糖，8舒张压，9收缩压，10心率）
	private Integer bloodType;
	//时间类型（1近1个月，2近半年，3近1年）
	private Integer timeType;
	// 添加时间
	private Date czrq;

	public HealthIndexStatistics() {
	}

	public HealthIndexStatistics(String user, Integer high, Integer normal, Integer low, Integer type, Integer bloodType, Integer timeType, Date czrq) {
		this.user = user;
		this.high = high;
		this.normal = normal;
		this.low = low;
		this.type = type;
		this.bloodType = bloodType;
		this.timeType = timeType;
		this.czrq = czrq;
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public Integer getHigh() {
		return high;
	}

	public void setHigh(Integer high) {
		this.high = high;
	}

	public Integer getNormal() {
		return normal;
	}

	public void setNormal(Integer normal) {
		this.normal = normal;
	}

	public Integer getLow() {
		return low;
	}

	public void setLow(Integer low) {
		this.low = low;
	}

	public Integer getBloodType() {
		return bloodType;
	}

	public void setBloodType(Integer bloodType) {
		this.bloodType = bloodType;
	}

	public Integer getTimeType() {
		return timeType;
	}

	public void setTimeType(Integer timeType) {
		this.timeType = timeType;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
